;_PUTS and _VPUTS routines by Cullen Sauls.
;These reduce program size. example:
;
;---OLD WAY---
;ld hl,String       \
;ld de,0             \  13
;ld (_curRow),de     / bytes
;call _puts         /
;---NEW WAY---
;ld hl,String      \   6
;call _PUTS        / bytes
;
;Actually, new way takes 8 bytes because you need to add 2 bytes to each string declaring coords.
;
;Both routines: 11 bytes each
;
;HL -> String
;First 2 bytes of string: Row, Col
;
#ifndef DISPSTR_NO_PUTS
_PUTS:
    ld e,(hl)
    inc hl
    ld d,(hl)
    ld (_curRow),de
    inc hl
    jp _puts
#endif
#ifndef DISPSTR_NO_VPUTS
_VPUTS
    ld d,(hl)
    inc hl
    ld e,(hl)
    ld (_penCol),de
    inc hl
    jp _vputs
#endif
